import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { TransactionsResponse, SendAmount, CardsResponse, Card, Credit, CardsBulkBody, Result, CreditMemo, HistoryResponse } from '../__generated__/types';
export declare class CardsApi {
    api: AxiosInstance;
    constructor(api?: AxiosInstance);
    getCards(config?: AxiosRequestConfig): import("axios").AxiosPromise<CardsResponse>;
    getCard(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<Card>;
    getCardTransactions(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<TransactionsResponse>;
    postCardLostPin(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
    postSendAmount(cardId: string, body: SendAmount, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
    postCardActivate(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
    postCardDeactivate(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
    postCardBlocation(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
    postCardReplacement(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
    getCardCreditsExpiration(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<Credit[]>;
    postCardsBulk(data: CardsBulkBody, config?: AxiosRequestConfig): import("axios").AxiosPromise<Result>;
    getCardBalance(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<number>;
    postCardCreditMemo(cardId: string, body: CreditMemo, config?: AxiosRequestConfig): import("axios").AxiosPromise<Result>;
    getHistoryStates(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<HistoryResponse>;
    getHistoryRequirements(cardId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<HistoryResponse>;
    /**
     * use with boolean flag `value` in searchparam
     */
    postAutoRenew(cardId: string, config: AxiosRequestConfig): import("axios").AxiosPromise<Result>;
}
