import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { ArticleCategoryCollection, ArticleCollection, Article, BannerCollection, Banner, FaqCollection, Faq, HintCollection, Hint, NotificationCollection, Notification, SpecialOfferCollection, SpecialOffer, ProductCollection, InquiryInput } from '../__generated__/types-cms';
export declare class CMSApi {
    api: AxiosInstance;
    constructor(api?: AxiosInstance);
    getArticleCategories(config?: AxiosRequestConfig): import("axios").AxiosPromise<ArticleCategoryCollection>;
    getCategoryArticles(articleCategoryId: number, config?: AxiosRequestConfig): import("axios").AxiosPromise<ArticleCollection>;
    getArticles(config?: AxiosRequestConfig): import("axios").AxiosPromise<ArticleCollection>;
    getArticle(articleId: number, config?: AxiosRequestConfig): import("axios").AxiosPromise<Article>;
    getSpecialOffers(config?: AxiosRequestConfig): import("axios").AxiosPromise<SpecialOfferCollection>;
    getSpecialOffer(specialOfferId: number, config?: AxiosRequestConfig): import("axios").AxiosPromise<SpecialOffer>;
    getBanners(config?: AxiosRequestConfig): import("axios").AxiosPromise<BannerCollection>;
    getBanner(bannerId: number, config?: AxiosRequestConfig): import("axios").AxiosPromise<Banner>;
    getFaqs(config?: AxiosRequestConfig): import("axios").AxiosPromise<FaqCollection>;
    getFaq(faqId: number, config?: AxiosRequestConfig): import("axios").AxiosPromise<Faq>;
    getHints(config?: AxiosRequestConfig): import("axios").AxiosPromise<HintCollection>;
    getHint(hintId: number, config?: AxiosRequestConfig): import("axios").AxiosPromise<Hint>;
    getNotifications(config?: AxiosRequestConfig): import("axios").AxiosPromise<NotificationCollection>;
    getNotification(notificationId: number, config?: AxiosRequestConfig): import("axios").AxiosPromise<Notification>;
    getProductFaqs(productId: number, config?: AxiosRequestConfig): import("axios").AxiosPromise<FaqCollection>;
    getProducts(config?: AxiosRequestConfig): import("axios").AxiosPromise<ProductCollection>;
    postInquiries(body: InquiryInput, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
}
