import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { OrdersResponse, Order, OrderAddProductBody, ResultAddOrderProduct, PaymentTypesResponse, OrderConfirmBody, OrderSidebar, OrderSummary, OrdersConfirmResult } from '../__generated__/types';
export declare class OrdersApi {
    api: AxiosInstance;
    constructor(api?: AxiosInstance);
    getOrders(config?: AxiosRequestConfig): import("axios").AxiosPromise<OrdersResponse>;
    postOrdersSave(body: Order, config?: AxiosRequestConfig): import("axios").AxiosPromise<Order>;
    postOrdersInit(config?: AxiosRequestConfig): import("axios").AxiosPromise<Order>;
    getOrder(orderId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<Order>;
    deleteOrder(orderId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
    postAddProductToOrder(orderId: string, body: OrderAddProductBody, config?: AxiosRequestConfig): import("axios").AxiosPromise<ResultAddOrderProduct>;
    deleteProductFromOrder(orderProductId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
    getOrderPaymantTypes(orderId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<PaymentTypesResponse>;
    postOrderConfirm(orderId: string, body: OrderConfirmBody, config?: AxiosRequestConfig): import("axios").AxiosPromise<OrdersConfirmResult>;
    postCalculateSidebar(orderId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<OrderSidebar>;
    postCalculateProductSummary(orderId: string, productId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<OrderSummary>;
}
