import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { UsersResponse, User, UserAccessesResponse, UserAccess, ChangePassword } from '../__generated__/types';
export declare class UsersApi {
    api: AxiosInstance;
    constructor(api?: AxiosInstance);
    getUsers(config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<UsersResponse>>;
    getUser(userId: string, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<User>>;
    putUser(userId: string, data: User, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    deleteUser(userId: string, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    patchUser(userId: string, data: Partial<User>, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    getUserAccesses(userId: string, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<UserAccessesResponse>>;
    getUserAccess(userId: string, userAccessId: string, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<UserAccess>>;
    putUserAccess(userId: string, userAccessId: string, data: UserAccess, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    deleteUserAccess(userId: string, userAccessId: string, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    patchUserAccess(userId: string, userAccessId: string, data: Partial<UserAccess>, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    postUserChangePassword(userId: string, data: ChangePassword, config?: AxiosRequestConfig): import("axios").AxiosPromise<any>;
}
